# Key send

A decision block that send/simulate a key/button press or release.

The fiber will pause until the simulated key events has been sent proceeding through the OK path, or through the NO path if the method is not connected, usually due to it not being enabled, or not running.

Supported method for simulating key events:

- Input method uses the Automate soft keyboard. It must be enabled as system default. Use the Input method set block to do so automatically, or the Interact block with action Show input method picker to let the user choose.
- Accessibility uses the Automate accessibility service, requires Android 13+.

Simulating hardware buttons such as power and volume may not work. To simulate text input, i.e. multiple characters instead of individual key presses and releases, use the Key send characters block.

Note! When using action Down ensure to also send an action Up for the same key code, otherwise the key could be interpreted as “stuck”, therefore action Down & Up is preferable.

## Options

- Method — method used to send the key event(s), see supported methods.

## Input arguments

- Action — event(s) to simulate, default is Down & up.
- Key code — key code number.
- Key modifiers — modifiers applied to event, default is no modifier.